Subject: Re: bug#33779: Color-coded output from autoconf/automake (was Re: bug#33779: Wrong lib-list in install-%DIR%LTLIBRARIES)

From: Bert Wesarg <[email-masked]>
Date: Tue, 24 Jan 2023 07:14:34 +0100

Full disclosure: the most controversial change in behavior is probably
the removal of batch processing files at install time, or maybe also
other times, to get for each file a colored silent rule output.. JAVAC
is the exception, as all .java files needs to passed at once to the
compiler.

On Tue, Jan 24, 2023 at 7:06 AM Bert Wesarg <[email-masked]> wrote:
>
> On Mon, Jan 23, 2023 at 3:29 PM Zack Weinberg <[email-masked]> wrote:
> >
> > On Mon, Jan 23, 2023, at 4:38 AM, Bert Wesarg via Bug reports for Automake wrote:
> > > On Fri, Jan 13, 2023 at 6:58 AM Mike Frysinger <[email-masked]> wrote:
> > > No, I don't have one. It just crossed my eyes while working on more
> > > silent rules in Automake. I made Ben recently aware of these changes,
> > > which are availalbe here:
> > >
> > > https://github.com/bertwesarg/automake/commits/more-and-colorful-silence
> > >
> > > and also Autoconf is now more colorful:
> > >
> > > https://github.com/bertwesarg/autoconf/commits/color
> >
> > Both of those URLs are 404 for me.
>
> Its now public.
>
> >
> > FYI, with my Autoconf hat on, I will not be inclined to take patches that hardcode "ANSI" terminal control codes.  $TERM must be honored in detail.  The easiest way to do that is probably to probe for the existence of the `tput` command and then use that to set shell variables with all the necessary control codes.  When working on patches for Automake, also keep in mind that $TERM might change between "./configure" and "make".
>
> It reuses the color setting code from lib/am/check.am, which is
> already in use. And autoconf has its own logic copied into m4sh.m4. So
> the decision is independent
>
> Bert